aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xrc.d/init.d/network17
-rwxr-xr-xrc.d/rc2
2 files changed, 19 insertions, 0 deletions
diff --git a/rc.d/init.d/network b/rc.d/init.d/network
index 00fd4127..c68f4ccb 100755
--- a/rc.d/init.d/network
+++ b/rc.d/init.d/network
@@ -62,6 +62,23 @@ case "$1" in
# Probe module to preserve interface ordering
/sbin/ifconfig $i >/dev/null 2>&1
else
+ # If we're in confirmation mode, get user confirmation
+ [ -n "$CONFIRM" ] &&
+ {
+ confirm $i
+ case $? in
+ 0)
+ :
+ ;;
+ 2)
+ CONFIRM=
+ ;;
+ *)
+ continue
+ ;;
+ esac
+ }
+
action "Bringing up interface $i: " ./ifup $i boot
fi
done
diff --git a/rc.d/rc b/rc.d/rc
index 2606f81d..3609fe9f 100755
--- a/rc.d/rc
+++ b/rc.d/rc
@@ -31,6 +31,8 @@ if [ "$previous" = "N" ]; then
fi
fi
+export CONFIRM
+
# Get first argument. Set new runlevel to this argument.
[ -n "$argv1" ] && runlevel="$argv1"